# COMPILACIÒN DE WRF 

Este instructivo permite compilar WRF v4.4 con HDF5.

## Activar entorno NIX

```
$ enable_nix
```

## Clonar este repositorio y bajar/compilar fuentes de WRF

```
$ git clone https://git.csc.gob.ar/tupac/wrf-nix.git
$ cd wrf-nix
$ nix-shell wrf.nix
# [esperar a que se active el entorno Nix]
# unpackPhase: función de Nix que baja y descomprime el fuente de WRF
# Necesario por unica vez
$ unpackPhase
$ cd WRF
$ ./configure
# Seleccionar opciones 34 y 1
$ ./compile -j 4 wrf
$ ./compile -j 4 em_real
$ exit
```

## Compilar WPS

A continuación podemos compilar WPS (desde la carpeta base del repo):

```
$ nix-shell wps.nix
$ [esperar a que se active el entorno Nix]
# unpackPhase: función de Nix que baja y descomprime el fuente de WPS
# Necesario por unica vez
$ unpackPhase
$ cd WPS-4.4
$ ./configure
# Seleccionar opcion 3, linux paralelo
$ ./compile
$ exit
```

